public inbox for ltp@lists.linux.it
 help / color / mirror / Atom feed
* [LTP] About mail test
@ 2010-03-30  1:57 Mitani
  2010-04-01  6:56 ` Rishikesh K Rajak
  0 siblings, 1 reply; 6+ messages in thread
From: Mitani @ 2010-03-30  1:57 UTC (permalink / raw)
  To: ltp-list

Hi,

I found two problems in mail test.
(${LTPROOT}/testcases/commands/mail/mail_tests.sh)
They are simple mistakes, I think.

1) About judgment for making a user name
In line 80 of "mail_tests.sh", there is following sentence.
------------
if id -u mail_test >/dev/null 2>&1; then
------------
This control sentence is going to judge whether the result of 
"id -u mail_test" command is normal or not, I think.
But this sentence is not effective.
Therefore the user name "make_test" cannot be made when this user name
isn't exist.


2) About "blind carbon copy" option
In "mail_tests.sh", there are 5 tests about mail.
5th is "blind carbon copy" test.
However, this test doesn't use "-b" option but uses "-c" option.


Please consider the following revision.
============
--- ./testcases/commands/mail/mail_tests.sh     2010-03-23
17:56:21.000000000 +0900
+++ ./testcases/commands/mail/mail_tests.sh.new 2010-03-30
10:39:40.000000000 +0900
@@ -77,7 +77,8 @@

 # check if the user mail_test exists on this system.
 # if not add that user mail_test, will removed before exiting test.
-if id -u mail_test >/dev/null 2>&1; then
+id -u mail_test >/dev/null 2>&1
+if [ $? -ne 0 ] ; then
        tst_resm TINFO "INIT: Adding temporary user mail_test"
        useradd -m -s /sbin/nologin mail_test > $LTPTMP/tst_mail.out 2>&1
        if [ $? -ne 0 ]; then
@@ -327,7 +328,7 @@
 tst_resm TINFO "Test #5: blind carbon copy user@domain"

 # send mail to root and carbon copy mail_test
-mail -s "Test" root@localhost -c mail_test@localhost < \
+mail -s "Test" root@localhost -b mail_test@localhost < \
        $LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
 if [ $? -ne 0 ]; then
        tst_res TFAIL $LTPTMP/tst_mail.out \
@@ -344,10 +345,10 @@

        if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
                tst_resm TPASS \
-                   "Test #5: Mail was carbon copied to user mail_test"
+                   "Test #5: Mail was blind carbon copied to user
mail_test"
        else
                tst_res TFAIL $LTPTMP/tst_mail.res \
-                   "Test #5: mail failed to carbon copy user mail_test.
Reason:"
+                   "Test #5: mail failed to blind carbon copy user
mail_test. Reason:"
                : $(( TFAILCNT += 1 ))
        fi

============


Thank you--

-Tomonori Mitani



------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] About mail test
  2010-03-30  1:57 [LTP] About mail test Mitani
@ 2010-04-01  6:56 ` Rishikesh K Rajak
  2010-04-01 12:21   ` Mitani
  2010-04-15  2:30   ` Mitani
  0 siblings, 2 replies; 6+ messages in thread
From: Rishikesh K Rajak @ 2010-04-01  6:56 UTC (permalink / raw)
  To: Mitani; +Cc: ltp-list


Hi Mitani,

can you please sign off ? And also send me a patch against today's git.

-Rishi

On Tue, Mar 30, 2010 at 10:57:49AM +0900, Mitani wrote:
> Hi,
> 
> I found two problems in mail test.
> (${LTPROOT}/testcases/commands/mail/mail_tests.sh)
> They are simple mistakes, I think.
> 
> 1) About judgment for making a user name
> In line 80 of "mail_tests.sh", there is following sentence.
> ------------
> if id -u mail_test >/dev/null 2>&1; then
> ------------
> This control sentence is going to judge whether the result of 
> "id -u mail_test" command is normal or not, I think.
> But this sentence is not effective.
> Therefore the user name "make_test" cannot be made when this user name
> isn't exist.
> 
> 
> 2) About "blind carbon copy" option
> In "mail_tests.sh", there are 5 tests about mail.
> 5th is "blind carbon copy" test.
> However, this test doesn't use "-b" option but uses "-c" option.
> 
> 
> Please consider the following revision.
> ============
> --- ./testcases/commands/mail/mail_tests.sh     2010-03-23
> 17:56:21.000000000 +0900
> +++ ./testcases/commands/mail/mail_tests.sh.new 2010-03-30
> 10:39:40.000000000 +0900
> @@ -77,7 +77,8 @@
> 
>  # check if the user mail_test exists on this system.
>  # if not add that user mail_test, will removed before exiting test.
> -if id -u mail_test >/dev/null 2>&1; then
> +id -u mail_test >/dev/null 2>&1
> +if [ $? -ne 0 ] ; then
>         tst_resm TINFO "INIT: Adding temporary user mail_test"
>         useradd -m -s /sbin/nologin mail_test > $LTPTMP/tst_mail.out 2>&1
>         if [ $? -ne 0 ]; then
> @@ -327,7 +328,7 @@
>  tst_resm TINFO "Test #5: blind carbon copy user@domain"
> 
>  # send mail to root and carbon copy mail_test
> -mail -s "Test" root@localhost -c mail_test@localhost < \
> +mail -s "Test" root@localhost -b mail_test@localhost < \
>         $LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
>  if [ $? -ne 0 ]; then
>         tst_res TFAIL $LTPTMP/tst_mail.out \
> @@ -344,10 +345,10 @@
> 
>         if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
>                 tst_resm TPASS \
> -                   "Test #5: Mail was carbon copied to user mail_test"
> +                   "Test #5: Mail was blind carbon copied to user
> mail_test"
>         else
>                 tst_res TFAIL $LTPTMP/tst_mail.res \
> -                   "Test #5: mail failed to carbon copy user mail_test.
> Reason:"
> +                   "Test #5: mail failed to blind carbon copy user
> mail_test. Reason:"
>                 : $(( TFAILCNT += 1 ))
>         fi
> 
> ============
> 
> 
> Thank you--
> 
> -Tomonori Mitani
> 
> 
> 
> ------------------------------------------------------------------------------
> Download Intel&#174; Parallel Studio Eval
> Try the new software tools for yourself. Speed compiling, find bugs
> proactively, and fine-tune applications for parallel performance.
> See why Intel Parallel Studio got high marks during beta.
> http://p.sf.net/sfu/intel-sw-dev
> _______________________________________________
> Ltp-list mailing list
> Ltp-list@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/ltp-list

-- 
Thanks & Regards
Rishi
LTP Maintainer
IBM, LTC, Bangalore
Please join IRC #ltp @ irc.freenode.net

------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] About mail test
  2010-04-01  6:56 ` Rishikesh K Rajak
@ 2010-04-01 12:21   ` Mitani
  2010-04-15  2:30   ` Mitani
  1 sibling, 0 replies; 6+ messages in thread
From: Mitani @ 2010-04-01 12:21 UTC (permalink / raw)
  To: 'Rishikesh K Rajak'; +Cc: ltp-list

Hi,

I try to suggest patch again by advice of Rishi.
This patch is for ltp-dev-4837fee8a7c2de6a83c8927a574c792ca6dabe4e.tar.gz .

Signed-off-by : Tomonori Mitani <mitani@ryobi.co.jp>

Index: ./testcases/commands/mail/mail_tests.sh
============
--- ./testcases/commands/mail/mail_tests.sh     2010-04-01
16:15:00.000000000 +0900
+++ ./testcases/commands/mail/mail_tests.sh.new 2010-04-01
20:54:40.000000000 +0900
@@ -77,7 +77,8 @@

 # check if the user mail_test exists on this system.
 # if not add that user mail_test, will removed before exiting test.
-if id -u mail_test >/dev/null 2>&1; then
+id -u mail_test >/dev/null 2>&1
+if [ $? -ne 0 ] ; then
        tst_resm TINFO "INIT: Adding temporary user mail_test"
        useradd -m -s /sbin/nologin mail_test > $LTPTMP/tst_mail.out 2>&1
        if [ $? -ne 0 ]; then
@@ -327,7 +328,7 @@
 tst_resm TINFO "Test #5: blind carbon copy user@domain"

 # send mail to root and carbon copy mail_test
-mail -s "Test" root@localhost -c mail_test@localhost < \
+mail -s "Test" root@localhost -b mail_test@localhost < \
        $LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
 if [ $? -ne 0 ]; then
        tst_res TFAIL $LTPTMP/tst_mail.out \
@@ -344,10 +345,10 @@

        if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
                tst_resm TPASS \
-                   "Test #5: Mail was carbon copied to user mail_test"
+                   "Test #5: Mail was blind carbon copied to user
mail_test"
        else
                tst_res TFAIL $LTPTMP/tst_mail.res \
-                   "Test #5: mail failed to carbon copy user mail_test.
Reason:"
+                   "Test #5: mail failed to blind carbon copy user
mail_test. Reason:"
                : $(( TFAILCNT += 1 ))
        fi

============


Thank you--

-Tomonori Mitani



------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] About mail test
  2010-04-01  6:56 ` Rishikesh K Rajak
  2010-04-01 12:21   ` Mitani
@ 2010-04-15  2:30   ` Mitani
  2010-04-15  6:51     ` Rishikesh K Rajak
  1 sibling, 1 reply; 6+ messages in thread
From: Mitani @ 2010-04-15  2:30 UTC (permalink / raw)
  To: 'Rishikesh K Rajak'; +Cc: ltp-list, kamimura

[-- Attachment #1: Type: text/plain, Size: 3811 bytes --]

Sorry.
My patch was destroyed by e-mail.
I attach patch for "mail_tests.sh" file.


Signed-off-by: Tomonori Mitani <mitani@ryobi.co.jp>


Regards--

-Tomonori Mitani

> -----Original Message-----
> From: Rishikesh K Rajak [mailto:risrajak@linux.vnet.ibm.com]
> Sent: Thursday, April 01, 2010 3:57 PM
> To: Mitani
> Cc: ltp-list@lists.sourceforge.net
> Subject: Re: [LTP] About mail test
> 
> 
> Hi Mitani,
> 
> can you please sign off ? And also send me a patch against today's git.
> 
> -Rishi
> 
> On Tue, Mar 30, 2010 at 10:57:49AM +0900, Mitani wrote:
> > Hi,
> >
> > I found two problems in mail test.
> > (${LTPROOT}/testcases/commands/mail/mail_tests.sh)
> > They are simple mistakes, I think.
> >
> > 1) About judgment for making a user name
> > In line 80 of "mail_tests.sh", there is following sentence.
> > ------------
> > if id -u mail_test >/dev/null 2>&1; then
> > ------------
> > This control sentence is going to judge whether the result of
> > "id -u mail_test" command is normal or not, I think.
> > But this sentence is not effective.
> > Therefore the user name "make_test" cannot be made when this user
> name
> > isn't exist.
> >
> >
> > 2) About "blind carbon copy" option
> > In "mail_tests.sh", there are 5 tests about mail.
> > 5th is "blind carbon copy" test.
> > However, this test doesn't use "-b" option but uses "-c" option.
> >
> >
> > Please consider the following revision.
> > ============
> > --- ./testcases/commands/mail/mail_tests.sh     2010-03-23
> > 17:56:21.000000000 +0900
> > +++ ./testcases/commands/mail/mail_tests.sh.new 2010-03-30
> > 10:39:40.000000000 +0900
> > @@ -77,7 +77,8 @@
> >
> >  # check if the user mail_test exists on this system.
> >  # if not add that user mail_test, will removed before exiting test.
> > -if id -u mail_test >/dev/null 2>&1; then
> > +id -u mail_test >/dev/null 2>&1
> > +if [ $? -ne 0 ] ; then
> >         tst_resm TINFO "INIT: Adding temporary user mail_test"
> >         useradd -m -s /sbin/nologin mail_test >
> $LTPTMP/tst_mail.out 2>&1
> >         if [ $? -ne 0 ]; then
> > @@ -327,7 +328,7 @@
> >  tst_resm TINFO "Test #5: blind carbon copy user@domain"
> >
> >  # send mail to root and carbon copy mail_test
> > -mail -s "Test" root@localhost -c mail_test@localhost < \
> > +mail -s "Test" root@localhost -b mail_test@localhost < \
> >         $LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
> >  if [ $? -ne 0 ]; then
> >         tst_res TFAIL $LTPTMP/tst_mail.out \
> > @@ -344,10 +345,10 @@
> >
> >         if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
> >                 tst_resm TPASS \
> > -                   "Test #5: Mail was carbon copied to user
> mail_test"
> > +                   "Test #5: Mail was blind carbon copied to user
> > mail_test"
> >         else
> >                 tst_res TFAIL $LTPTMP/tst_mail.res \
> > -                   "Test #5: mail failed to carbon copy user
> mail_test.
> > Reason:"
> > +                   "Test #5: mail failed to blind carbon copy user
> > mail_test. Reason:"
> >                 : $(( TFAILCNT += 1 ))
> >         fi
> >
> > ============
> >
> >
> > Thank you--
> >
> > -Tomonori Mitani
> >
> >
> >
> >
> ------------------------------------------------------------------
> ------------
> > Download Intel&#174; Parallel Studio Eval
> > Try the new software tools for yourself. Speed compiling, find bugs
> > proactively, and fine-tune applications for parallel performance.
> > See why Intel Parallel Studio got high marks during beta.
> > http://p.sf.net/sfu/intel-sw-dev
> > _______________________________________________
> > Ltp-list mailing list
> > Ltp-list@lists.sourceforge.net
> > https://lists.sourceforge.net/lists/listinfo/ltp-list
> 
> --
> Thanks & Regards
> Rishi
> LTP Maintainer
> IBM, LTC, Bangalore
> Please join IRC #ltp @ irc.freenode.net

[-- Attachment #2: mail_tests.patch --]
[-- Type: application/octet-stream, Size: 1378 bytes --]

--- a/testcases/commands/mail/mail_tests.sh	2010-04-01 16:15:00.000000000 +0900
+++ b/testcases/commands/mail/mail_tests.sh	2010-04-01 20:54:40.000000000 +0900
@@ -77,7 +77,8 @@
 
 # check if the user mail_test exists on this system.
 # if not add that user mail_test, will removed before exiting test.
-if id -u mail_test >/dev/null 2>&1; then
+id -u mail_test >/dev/null 2>&1
+if [ $? -ne 0 ] ; then
 	tst_resm TINFO "INIT: Adding temporary user mail_test"
 	useradd -m -s /sbin/nologin mail_test > $LTPTMP/tst_mail.out 2>&1
 	if [ $? -ne 0 ]; then
@@ -327,7 +328,7 @@
 tst_resm TINFO "Test #5: blind carbon copy user@domain"
 
 # send mail to root and carbon copy mail_test 
-mail -s "Test" root@localhost -c mail_test@localhost < \
+mail -s "Test" root@localhost -b mail_test@localhost < \
 	$LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
 if [ $? -ne 0 ]; then
 	tst_res TFAIL $LTPTMP/tst_mail.out \
@@ -344,10 +345,10 @@
 
 	if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
 		tst_resm TPASS \
-		    "Test #5: Mail was carbon copied to user mail_test"
+		    "Test #5: Mail was blind carbon copied to user mail_test"
 	else
 		tst_res TFAIL $LTPTMP/tst_mail.res \
-		    "Test #5: mail failed to carbon copy user mail_test. Reason:"
+		    "Test #5: mail failed to blind carbon copy user mail_test. Reason:"
 		: $(( TFAILCNT += 1 ))
 	fi
 

[-- Attachment #3: Type: text/plain, Size: 345 bytes --]

------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev

[-- Attachment #4: Type: text/plain, Size: 155 bytes --]

_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] About mail test
  2010-04-15  2:30   ` Mitani
@ 2010-04-15  6:51     ` Rishikesh K Rajak
  2010-04-15  8:34       ` Garrett Cooper
  0 siblings, 1 reply; 6+ messages in thread
From: Rishikesh K Rajak @ 2010-04-15  6:51 UTC (permalink / raw)
  To: Mitani; +Cc: ltp-list, kamimura

On Thu, Apr 15, 2010 at 11:30:45AM +0900, Mitani wrote:
> Sorry.
> My patch was destroyed by e-mail.
> I attach patch for "mail_tests.sh" file.

Applied to next branch. Will wait for someone to Acked/test it before merging to
master.

Thanks
-Rishi
> 
> 
> Signed-off-by: Tomonori Mitani <mitani@ryobi.co.jp>
> 
> 
> Regards--
> 
> -Tomonori Mitani
> 
> > -----Original Message-----
> > From: Rishikesh K Rajak [mailto:risrajak@linux.vnet.ibm.com]
> > Sent: Thursday, April 01, 2010 3:57 PM
> > To: Mitani
> > Cc: ltp-list@lists.sourceforge.net
> > Subject: Re: [LTP] About mail test
> > 
> > 
> > Hi Mitani,
> > 
> > can you please sign off ? And also send me a patch against today's git.
> > 
> > -Rishi
> > 
> > On Tue, Mar 30, 2010 at 10:57:49AM +0900, Mitani wrote:
> > > Hi,
> > >
> > > I found two problems in mail test.
> > > (${LTPROOT}/testcases/commands/mail/mail_tests.sh)
> > > They are simple mistakes, I think.
> > >
> > > 1) About judgment for making a user name
> > > In line 80 of "mail_tests.sh", there is following sentence.
> > > ------------
> > > if id -u mail_test >/dev/null 2>&1; then
> > > ------------
> > > This control sentence is going to judge whether the result of
> > > "id -u mail_test" command is normal or not, I think.
> > > But this sentence is not effective.
> > > Therefore the user name "make_test" cannot be made when this user
> > name
> > > isn't exist.
> > >
> > >
> > > 2) About "blind carbon copy" option
> > > In "mail_tests.sh", there are 5 tests about mail.
> > > 5th is "blind carbon copy" test.
> > > However, this test doesn't use "-b" option but uses "-c" option.
> > >
> > >
> > > Please consider the following revision.
> > > ============
> > > --- ./testcases/commands/mail/mail_tests.sh     2010-03-23
> > > 17:56:21.000000000 +0900
> > > +++ ./testcases/commands/mail/mail_tests.sh.new 2010-03-30
> > > 10:39:40.000000000 +0900
> > > @@ -77,7 +77,8 @@
> > >
> > >  # check if the user mail_test exists on this system.
> > >  # if not add that user mail_test, will removed before exiting test.
> > > -if id -u mail_test >/dev/null 2>&1; then
> > > +id -u mail_test >/dev/null 2>&1
> > > +if [ $? -ne 0 ] ; then
> > >         tst_resm TINFO "INIT: Adding temporary user mail_test"
> > >         useradd -m -s /sbin/nologin mail_test >
> > $LTPTMP/tst_mail.out 2>&1
> > >         if [ $? -ne 0 ]; then
> > > @@ -327,7 +328,7 @@
> > >  tst_resm TINFO "Test #5: blind carbon copy user@domain"
> > >
> > >  # send mail to root and carbon copy mail_test
> > > -mail -s "Test" root@localhost -c mail_test@localhost < \
> > > +mail -s "Test" root@localhost -b mail_test@localhost < \
> > >         $LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
> > >  if [ $? -ne 0 ]; then
> > >         tst_res TFAIL $LTPTMP/tst_mail.out \
> > > @@ -344,10 +345,10 @@
> > >
> > >         if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
> > >                 tst_resm TPASS \
> > > -                   "Test #5: Mail was carbon copied to user
> > mail_test"
> > > +                   "Test #5: Mail was blind carbon copied to user
> > > mail_test"
> > >         else
> > >                 tst_res TFAIL $LTPTMP/tst_mail.res \
> > > -                   "Test #5: mail failed to carbon copy user
> > mail_test.
> > > Reason:"
> > > +                   "Test #5: mail failed to blind carbon copy user
> > > mail_test. Reason:"
> > >                 : $(( TFAILCNT += 1 ))
> > >         fi
> > >
> > > ============
> > >
> > >
> > > Thank you--
> > >
> > > -Tomonori Mitani
> > >
> > >
> > >
> > >
> > ------------------------------------------------------------------
> > ------------
> > > Download Intel&#174; Parallel Studio Eval
> > > Try the new software tools for yourself. Speed compiling, find bugs
> > > proactively, and fine-tune applications for parallel performance.
> > > See why Intel Parallel Studio got high marks during beta.
> > > http://p.sf.net/sfu/intel-sw-dev
> > > _______________________________________________
> > > Ltp-list mailing list
> > > Ltp-list@lists.sourceforge.net
> > > https://lists.sourceforge.net/lists/listinfo/ltp-list
> > 
> > --
> > Thanks & Regards
> > Rishi
> > LTP Maintainer
> > IBM, LTC, Bangalore
> > Please join IRC #ltp @ irc.freenode.net



-- 
Thanks & Regards
Rishi
LTP Maintainer
IBM, LTC, Bangalore
Please join IRC #ltp @ irc.freenode.net

------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

* Re: [LTP] About mail test
  2010-04-15  6:51     ` Rishikesh K Rajak
@ 2010-04-15  8:34       ` Garrett Cooper
  0 siblings, 0 replies; 6+ messages in thread
From: Garrett Cooper @ 2010-04-15  8:34 UTC (permalink / raw)
  To: Mitani, ltp-list, kamimura

On Wed, Apr 14, 2010 at 11:51 PM, Rishikesh K Rajak
<risrajak@linux.vnet.ibm.com> wrote:
> On Thu, Apr 15, 2010 at 11:30:45AM +0900, Mitani wrote:
>> Sorry.
>> My patch was destroyed by e-mail.
>> I attach patch for "mail_tests.sh" file.
>
> Applied to next branch. Will wait for someone to Acked/test it before merging to
> master.
>
> Thanks
> -Rishi
>>
>>
>> Signed-off-by: Tomonori Mitani <mitani@ryobi.co.jp>
>>
>>
>> Regards--
>>
>> -Tomonori Mitani
>>
>> > -----Original Message-----
>> > From: Rishikesh K Rajak [mailto:risrajak@linux.vnet.ibm.com]
>> > Sent: Thursday, April 01, 2010 3:57 PM
>> > To: Mitani
>> > Cc: ltp-list@lists.sourceforge.net
>> > Subject: Re: [LTP] About mail test
>> >
>> >
>> > Hi Mitani,
>> >
>> > can you please sign off ? And also send me a patch against today's git.
>> >
>> > -Rishi
>> >
>> > On Tue, Mar 30, 2010 at 10:57:49AM +0900, Mitani wrote:
>> > > Hi,
>> > >
>> > > I found two problems in mail test.
>> > > (${LTPROOT}/testcases/commands/mail/mail_tests.sh)
>> > > They are simple mistakes, I think.
>> > >
>> > > 1) About judgment for making a user name
>> > > In line 80 of "mail_tests.sh", there is following sentence.
>> > > ------------
>> > > if id -u mail_test >/dev/null 2>&1; then
>> > > ------------
>> > > This control sentence is going to judge whether the result of
>> > > "id -u mail_test" command is normal or not, I think.
>> > > But this sentence is not effective.
>> > > Therefore the user name "make_test" cannot be made when this user
>> > name
>> > > isn't exist.
>> > >
>> > >
>> > > 2) About "blind carbon copy" option
>> > > In "mail_tests.sh", there are 5 tests about mail.
>> > > 5th is "blind carbon copy" test.
>> > > However, this test doesn't use "-b" option but uses "-c" option.
>> > >
>> > >
>> > > Please consider the following revision.
>> > > ============
>> > > --- ./testcases/commands/mail/mail_tests.sh     2010-03-23
>> > > 17:56:21.000000000 +0900
>> > > +++ ./testcases/commands/mail/mail_tests.sh.new 2010-03-30
>> > > 10:39:40.000000000 +0900
>> > > @@ -77,7 +77,8 @@
>> > >
>> > >  # check if the user mail_test exists on this system.
>> > >  # if not add that user mail_test, will removed before exiting test.
>> > > -if id -u mail_test >/dev/null 2>&1; then
>> > > +id -u mail_test >/dev/null 2>&1
>> > > +if [ $? -ne 0 ] ; then
>> > >         tst_resm TINFO "INIT: Adding temporary user mail_test"
>> > >         useradd -m -s /sbin/nologin mail_test >
>> > $LTPTMP/tst_mail.out 2>&1
>> > >         if [ $? -ne 0 ]; then
>> > > @@ -327,7 +328,7 @@
>> > >  tst_resm TINFO "Test #5: blind carbon copy user@domain"
>> > >
>> > >  # send mail to root and carbon copy mail_test
>> > > -mail -s "Test" root@localhost -c mail_test@localhost < \
>> > > +mail -s "Test" root@localhost -b mail_test@localhost < \
>> > >         $LTPTMP/tst_mail.in > $LTPTMP/tst_mail.out 2>&1
>> > >  if [ $? -ne 0 ]; then
>> > >         tst_res TFAIL $LTPTMP/tst_mail.out \
>> > > @@ -344,10 +345,10 @@
>> > >
>> > >         if [ "x$RC1" != x0 -a "x$RC2" != x0 ]; then
>> > >                 tst_resm TPASS \
>> > > -                   "Test #5: Mail was carbon copied to user
>> > mail_test"
>> > > +                   "Test #5: Mail was blind carbon copied to user
>> > > mail_test"
>> > >         else
>> > >                 tst_res TFAIL $LTPTMP/tst_mail.res \
>> > > -                   "Test #5: mail failed to carbon copy user
>> > mail_test.
>> > > Reason:"
>> > > +                   "Test #5: mail failed to blind carbon copy user
>> > > mail_test. Reason:"
>> > >                 : $(( TFAILCNT += 1 ))
>> > >         fi
>> > >
>> > > ============

Apart from the comment above the BCC test being incorrect, everything
looks fine.

Acked-by: Garrett Cooper <yanegomi@gmail.com>

-Garrett

------------------------------------------------------------------------------
Download Intel&#174; Parallel Studio Eval
Try the new software tools for yourself. Speed compiling, find bugs
proactively, and fine-tune applications for parallel performance.
See why Intel Parallel Studio got high marks during beta.
http://p.sf.net/sfu/intel-sw-dev
_______________________________________________
Ltp-list mailing list
Ltp-list@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/ltp-list

^ permalink raw reply	[flat|nested] 6+ messages in thread

end of thread, other threads:[~2010-04-15  8:34 UTC | newest]

Thread overview: 6+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2010-03-30  1:57 [LTP] About mail test Mitani
2010-04-01  6:56 ` Rishikesh K Rajak
2010-04-01 12:21   ` Mitani
2010-04-15  2:30   ` Mitani
2010-04-15  6:51     ` Rishikesh K Rajak
2010-04-15  8:34       ` Garrett Cooper

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox